Subject: bug#16313: 24.3; package-delete does not update package-alist

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Jan 2014 09:08:54 -0500

> I've read through the code and I think package-delete should remove
> the entire entry.  The docstring of package-alist also suggests so.
> Let me know if I'm wrong.

I don't have time to look at it now, but it sounds right, thank you,

        Stefan